package com.tmax.openframe.file;

import org.mapstruct.*;
import org.mapstruct.factory.*;
import ch.obermuhlner.math.big.BigDecimalMath;
import com.tmax.openframe.variable.group.COBTEST5_EMTXDAC;
import java.math.*;
import java.util.*;
import lombok.*;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
@Mapper()
public interface COBTEST5_COBTEST5_FD_OUT_F_DoToCOBTEST5_EMTXDACMapper {
    COBTEST5_COBTEST5_FD_OUT_F_DoToCOBTEST5_EMTXDACMapper INSTANCE = Mappers
            .getMapper(COBTEST5_COBTEST5_FD_OUT_F_DoToCOBTEST5_EMTXDACMapper.class);

    @Mapping(source = "TX_KEY.TX_CONT_NO", target = "TX_CONT_NO")
    @Mapping(source = "TX_KEY.TX_IITEM", target = "TX_IITEM")
    @Mapping(source = "TX_KEY.TX_IITEM_GB", target = "TX_IITEM_GB")
    @Mapping(source = "TX_LCYM", target = "TX_LCYM")
    @Mapping(source = "TX_LPMT", target = "TX_LPMT")
    COBTEST5_EMTXDAC toCOBTEST5_EMTXDAC(COBTEST5_COBTEST5_FD_OUT_F_Do source);

    @Mapping(source = "TX_CONT_NO", target = "TX_KEY.TX_CONT_NO")
    @Mapping(source = "TX_IITEM", target = "TX_KEY.TX_IITEM")
    @Mapping(source = "TX_IITEM_GB", target = "TX_KEY.TX_IITEM_GB")
    @Mapping(source = "TX_LCYM", target = "TX_LCYM")
    @Mapping(source = "TX_LPMT", target = "TX_LPMT")
    COBTEST5_COBTEST5_FD_OUT_F_Do toCOBTEST5_COBTEST5_FD_OUT_F_Do(
            COBTEST5_EMTXDAC source);
}
